﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Drawing.Drawing2D;

namespace PenCap
{
	public partial class Form1 : Form
	{
		public Form1()
		{
			InitializeComponent();
		}

		private void Form1_Paint(object sender, PaintEventArgs e)
		{
            Graphics g = e.Graphics;
			Pen p = new Pen(Color.Black, 3);
            Brush b = new SolidBrush(Color.Blue);
            Rectangle r = new Rectangle(10, 10, 100, 200);
            Rectangle r2 = new Rectangle(150, 10, 100, 200);

            // Pen으로 선과 사각형 그리기
			g.DrawLine(p, 10, 10, 110, 210);
			g.DrawLine(p, 110, 10, 10, 210);
            g.DrawRectangle(p, r);

            // Brush로 사각형 그리기
            g.FillRectangle(b, r2);

            // Brush로 삼각형 그리기
            Brush b2 = new SolidBrush(Color.Red);
            Point[] pt = new Point[3];
            pt[0].X = 400; pt[0].Y = 10;
            pt[1].X = 300; pt[1].Y = 210;
            pt[2].X = 500; pt[2].Y = 210;
            g.FillPolygon(b2, pt);

            // HatchBrush로 타원 그리기
            HatchBrush hb = new HatchBrush(HatchStyle.DiagonalCross, Color.Yellow, Color.Brown);
            g.FillEllipse(hb, 10, 220, 200, 100);

            // DrawArc 메소드 사용
   			Pen p2 = new Pen(Color.Green, 3);
            Rectangle r3 = new Rectangle(220, 220, 200, 100);
            g.DrawArc(p2, r3, 0, 180);
         }
	}
}
